## imapsync 1.182

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-# $Id: Makefile,v 1.10 2006/03/20 00:35:47 gilles Exp gilles $	
+# $Id: Makefile,v 1.12 2006/08/01 22:58:42 gilles Exp $	
 
 TARGET=imapsync
 
@@ -69,8 +69,8 @@
 	rsync -aCv --delete ./  ../prepa_dist/$(DIST_NAME)
 	cd ../prepa_dist && tar czfv $(DIST_FILE) $(DIST_NAME)
 	cp -f ../prepa_dist/$(DIST_FILE) dist/
-	cd dist && md5sum $(DIST_FILE) > $(DIST_FILE).md5
-	cd dist && md5sum -c $(DIST_FILE).md5
+	cd dist && md5sum $(DIST_FILE) > md5.txt
+	cd dist && md5sum -c md5.txt
 
 
 deb: 
@@ -94,6 +94,8 @@
 lfo: dist niouze
 	rsync -av --delete . \
 	/home/gilles/public_html/www.linux-france.org/html/prj/$(TARGET)/
+	rsync -av --delete ../prepa_dist/imapsync-*tgz  \
+	/home/gilles/public_html/www.linux-france.org/ftp/prj/$(TARGET)/
 	sh ~/memo/lfo-rsync
