## imapsync 1.219

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-# $Id: Makefile,v 1.12 2006/08/01 22:58:42 gilles Exp $	
+# $Id: Makefile,v 1.15 2007/02/02 02:03:29 gilles Exp gilles $	
 
 TARGET=imapsync
 
@@ -43,7 +43,7 @@
 
 .PHONY: clean clean_tilde clean_test   
 
-clean: clean_tilde clean_test
+clean: clean_tilde clean_test clean_man
 
 clean_test:
 	rm -f .test
@@ -51,11 +51,21 @@
 clean_tilde:
 	rm -f *~
 
-.PHONY: install dist
+.PHONY: install dist man
 
-install: testp
-	cp $(TARGET) $(DESTDIR)/usr/bin/$(TARGET)
+man: $(TARGET).1
+
+clean_man:
+	rm -f $(TARGET).1
+
+$(TARGET).1: $(TARGET)
+	pod2man $(TARGET) > $(TARGET).1
+
+install: testp $(TARGET).1
+	install -D $(TARGET) $(DESTDIR)/usr/bin/$(TARGET)
+	install -D $(TARGET).1 $(DESTDIR)/usr/share/man/man1/$(TARGET).1
 	chmod 755 $(DESTDIR)/usr/bin/$(TARGET)
+
 
 DIST_NAME=$(TARGET)-$(VERSION)
 DIST_FILE=$(DIST_NAME).tgz
@@ -91,14 +101,20 @@
 
 .PHONY: lfo niouze
 
-lfo: dist niouze
+lfo: dist niouze_lfo lfo_upload niouze
+
+lfo_upload: 
 	rsync -av --delete . \
 	/home/gilles/public_html/www.linux-france.org/html/prj/$(TARGET)/
 	rsync -av --delete ../prepa_dist/imapsync-*tgz  \
 	/home/gilles/public_html/www.linux-france.org/ftp/prj/$(TARGET)/
 	sh ~/memo/lfo-rsync
 
+niouze_lfo : VERSION
+	. memo && lfo_announce
 
 niouze: VERSION
-	. memo && lfo_announce
 	. memo && fm_announce
+
+
+public: niouze
