## imapsync 1.241

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-# $Id: Makefile,v 1.15 2007/02/02 02:03:29 gilles Exp gilles $	
+# $Id: Makefile,v 1.17 2007/10/30 00:49:43 gilles Exp gilles $	
 
 TARGET=imapsync
 
@@ -76,11 +76,11 @@
 	echo making tarball $(DIST_FILE)
 	mkdir -p dist
 	mkdir -p ../prepa_dist/$(DIST_NAME)
-	rsync -aCv --delete ./  ../prepa_dist/$(DIST_NAME)
+	rsync -aCv --delete  --exclude dist/ ./  ../prepa_dist/$(DIST_NAME)
 	cd ../prepa_dist && tar czfv $(DIST_FILE) $(DIST_NAME)
-	cp -f ../prepa_dist/$(DIST_FILE) dist/
-	cd dist && md5sum $(DIST_FILE) > md5.txt
-	cd dist && md5sum -c md5.txt
+	ln -f ../prepa_dist/$(DIST_FILE) dist/
+	cd dist && md5sum $(DIST_FILE) > $(DIST_FILE).md5.txt
+	cd dist && md5sum -c $(DIST_FILE).md5.txt
 
 
 deb: 
@@ -95,7 +95,7 @@
 	rcsdiff RCS/*
 
 clean_dist:
-	rm -f dist/*
+	echo Used to be 'rm -f dist/*'
 
 # Local goals
 
@@ -104,9 +104,9 @@
 lfo: dist niouze_lfo lfo_upload niouze
 
 lfo_upload: 
-	rsync -av --delete . \
+	rsync -avH --delete . \
 	/home/gilles/public_html/www.linux-france.org/html/prj/$(TARGET)/
-	rsync -av --delete ../prepa_dist/imapsync-*tgz  \
+	rsync -avH --delete ../prepa_dist/imapsync-*tgz  \
 	/home/gilles/public_html/www.linux-france.org/ftp/prj/$(TARGET)/
 	sh ~/memo/lfo-rsync
