=== debian/changelog ===
imapsync (2.229-1~deb10u1) buster; urgency=medium

  * Rebuild for buster.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 12 Aug 2023 13:21:51 +0200

imapsync (2.229-1) unstable; urgency=medium

  * Initial release.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 11 Aug 2023 15:18:37 +0200
