=== debian/control ===
Source: imapsync
Section: mail
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 12),
 cpanminus,
 lsb-release,
 procps,
 time,
 libauthen-ntlm-perl,
 libcgi-pm-perl,
 libcrypt-openssl-rsa-perl,
 libdata-uniqid-perl,
 libencode-imaputf7-perl,
 libfile-copy-recursive-perl,
 libfile-tail-perl,
 libio-socket-inet6-perl,
 libio-socket-ssl-perl,
 libio-tee-perl,
 libjson-webtoken-perl,
 libmail-imapclient-perl,
 libproc-processtable-perl,
 libmodule-scandeps-perl,
 libreadonly-perl,
 libregexp-common-perl,
 libsys-meminfo-perl,
 libterm-readkey-perl,
 libtest-mockobject-perl,
 libtest-pod-perl,
 libunicode-string-perl,
 libwww-perl,
 libtest-deep-perl,
 libtest-warn-perl,
 libdist-checkconflicts-perl,
 libmodule-implementation-perl,
 libmodule-runtime-conflicts-perl,
 libnet-https-any-perl,
 libpackage-stash-perl,
 libpackage-stash-xs-perl,
 libpar-packer-perl,
 libtest-fatal-perl,
 libtest-mock-guard-perl,
 libtest-requires-perl,
Standards-Version: 4.3.0
Homepage: https://github.com/imapsync/imapsync

Package: imapsync
Architecture: all
Depends:
 libauthen-ntlm-perl,
 libcgi-pm-perl,
 libcrypt-openssl-rsa-perl,
 libdata-uniqid-perl,
 libencode-imaputf7-perl,
 libfile-copy-recursive-perl,
 libfile-tail-perl,
 libio-socket-inet6-perl,
 libio-socket-ssl-perl,
 libio-tee-perl,
 libjson-webtoken-perl,
 libmail-imapclient-perl,
 libproc-processtable-perl,
 libmodule-scandeps-perl,
 libreadonly-perl,
 libregexp-common-perl,
 libsys-meminfo-perl,
 libterm-readkey-perl,
 libtest-mockobject-perl,
 libtest-pod-perl,
 libunicode-string-perl,
 libwww-perl,
 libtest-deep-perl,
 libtest-warn-perl,
 libdist-checkconflicts-perl,
 libmodule-implementation-perl,
 libmodule-runtime-conflicts-perl,
 libnet-https-any-perl,
 libpackage-stash-perl,
 libpackage-stash-xs-perl,
 libpar-packer-perl,
 libtest-fatal-perl,
 libtest-mock-guard-perl,
 libtest-requires-perl,
 ${misc:Depends},
Recommends:
 openssl,
 procps,
Description: IMAP transfer tool
 Command-line tool that allows incremental and recursive IMAP transfers from
 one mailbox to another, both anywhere on the internet or in your local
 network. The transfer can be stopped at any time and restarted later
 efficiently, without generating duplicates. The complete folders hierarchy
 can be copied, all folders, all subfolders etc.
