=== debian/watch ===
# Watch file
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# GitHub hosted projects.
https://github.com/imapsync/imapsync/tags (?:.*?/)@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
